Page MenuHomePhabricator

[minor] Order of wikis in collapsed cross-wiki notifications is different when the list is exapnded
Closed, ResolvedPublic

Description

The order of wikis in collapsed cross-wiki panel does not match with the order in which wikis are displayed when the panel is extended.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 17 2016, 9:27 PM

Looks like a bug in the frontend (the expanded version). The expanded version is not sorted by timestamp, but the collapsed wiki list is.

Change 295340 had a related patch set uploaded (by Catrope):
SubGroupListWidget: use timestamp from model. not from listWidget

https://gerrit.wikimedia.org/r/295340

Catrope claimed this task.Jun 21 2016, 1:26 PM
Catrope moved this task from Untriaged to Needs Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 295340 merged by jenkins-bot:
SubGroupListWidget: use timestamp from model, not from listWidget

https://gerrit.wikimedia.org/r/295340

Change 295347 had a related patch set uploaded (by Catrope):
SubGroupListWidget: use timestamp from model, not from listWidget

https://gerrit.wikimedia.org/r/295347

Change 295347 merged by jenkins-bot:
SubGroupListWidget: use timestamp from model, not from listWidget

https://gerrit.wikimedia.org/r/295347

Checked in testwiki ( 1.28.0-wmf.7) - the wikis list in expanded and collapsed panel have the same sort order - by a timestamp.

jmatazzoni closed this task as Resolved.Jun 23 2016, 9:25 AM